## rtptheorapay

rtptheorapay

## Properties

guint | config-interval | Read / Write

## Types and Values

struct | GstRtpTheoraPay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpTheoraPay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-theora

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)video, payload=(int)[ 96, 127 ], clock-rate=(int)90000, encoding-name=(string)THEORA

## Functions

## Types and Values

### struct GstRtpTheoraPay

    struct GstRtpTheoraPay;

## Property Details

### The `“config-interval”` property

      “config-interval”          guint

Send Config Insertion Interval in seconds (configuration headers will be multiplexed in the data stream when detected.) (0 = disabled).

Flags: Read / Write

Allowed values: <= 3600

Default value: 0